Bug 246956 - x11-servers/xorg-server: Add information for users of devices that don't support evdev to pkg-message (e.g., serial mice).
Summary: x11-servers/xorg-server: Add information for users of devices that don't supp...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Michael Gmelin
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-06-03 13:03 UTC by Michael Gmelin
Modified: 2020-06-19 15:33 UTC (History)
1 user (show)

See Also:
zeising: maintainer-feedback+


Attachments
Add info about setting the correct event mask for oldskool users (638 bytes, text/plain)
2020-06-03 13:03 UTC, Michael Gmelin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin freebsd_committer 2020-06-03 13:03:27 UTC
Created attachment 215192 [details]
Add info about setting the correct event mask for oldskool users

In https://svnweb.freebsd.org/base?view=revision&revision=360637 the default kern.evdev.rcpt_mask was changed to 12.

This breaks setups of users relying on moused (e.g., serial mice).

The attached patch adds instructions for those users (as finding any advice googling yielded no results).

Note that the slightly different wording to the paragraph above (following => this) was done intentionally, so the readers eye won't get caught in exactly the same pattern.

(p.s. pkg-message still recommends setting this to 6, while the kernel now uses a default of 12 - maybe this should be aligned at some point).
Comment 1 Automation User 2020-06-18 04:23:13 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/157425975
Comment 2 Niclas Zeising freebsd_committer 2020-06-19 14:07:00 UTC
I'm unsure about this.
Maybe say something like "A mouse that does not support evdev", so far, on x86 (and amd64) I'm only aware of serial mice having this limitation?

Even when running moused, when you have xf86-input-libinput installed, having kern.evdev.rcpt_mask=12 (or 6) should work.  (It works on a test system here, at least).
Comment 3 Michael Gmelin freebsd_committer 2020-06-19 14:28:37 UTC
(In reply to Niclas Zeising from comment #2)

Nope, with serial mice it doesn't. I spent a couple of hours helping pfg@ and finally set up a test system with an old mouse from my basement. It doesn't work in this case, libinput debug-events shows nothing. So the only way to make these work this setting the mask to 3 and running moused, so that sysmouse is picked up by Xorg.

We could alter the wording from

  +In case you're using a serial mouse or any other mouse that works over
  +sysmouse(4) and moused(8) on an evdev enabled kernel, please run this:

to

  +In case you're using a serial mouse or any other mouse that ONLY works over
  +sysmouse(4) and moused(8) on an evdev enabled kernel, please run this:

(this adds "only" in the text)

Saying "that doesn't support evdev" doesn't help users, as they're probably not even aware what that means.
Comment 4 Niclas Zeising freebsd_committer 2020-06-19 14:54:06 UTC
(In reply to Michael Gmelin from comment #3)
I should have been clearer in my second statement.  Mice that works with evdev/ibinput works with kern.evdev.rcpt_mask=12 even if moused is running.

Your new suggestion is good.  I don't want to give the impression that everyone using moused needs to set kern.evdev.rcpt_mask=3, only those that aren't supported by evdev.
Comment 5 Michael Gmelin freebsd_committer 2020-06-19 15:02:05 UTC
(In reply to Niclas Zeising from comment #4)

Would you like a new patch, or can you make that change yourself?

Thanks
Comment 6 Niclas Zeising freebsd_committer 2020-06-19 15:09:50 UTC
No need for a new patch.
Feel free to commit the latest version.
Comment 7 commit-hook freebsd_committer 2020-06-19 15:31:44 UTC
A commit references this bug:

Author: grembo
Date: Fri Jun 19 15:30:45 UTC 2020
New revision: 539622
URL: https://svnweb.freebsd.org/changeset/ports/539622

Log:
  Add information for users of devices that don't support evdev to pkg-message
  (e.g., serial mice).

  PR:		246956
  Approved by:	zeising (x11)

Changes:
  head/x11-servers/xorg-server/pkg-message